% Latexklasse LIV in Anlehnung an die LNI Klasse
% by Martin Gebauer gebauer@informatik.uni-leipzig.de
%
\ProvidesClass{liv}
\newif\ifpdf\ifx\pdfoutput\undefined\pdffalse\else\pdfoutput=1\pdftrue\fi



\DeclareOption{forInclusion}{%
  \setlength{\topmargin}{0mm}%
  \setlength{\headheight}{0mm}%
  \setlength{\headsep}{0mm}%
  \setlength{\hoffset}{0mm}% 
  \setlength{\voffset}{0mm}% 
  \setlength{\oddsidemargin}{0mm}%
  \setlength{\evensidemargin}{0mm}%
  \setlength{\paperheight}{297mm}%
  \setlength{\paperwidth}{210mm}
  \ifpdf%
    \setlength{\pdfpageheight}{297mm}%
    \setlength{\pdfpagewidth}{210mm}%
  \fi}

\newif\iflnienglish\lnienglishfalse
\DeclareOption{english}{\lnienglishtrue}

\ProcessOptions
% 10 pt
\LoadClass[10pt,a4paper,fleqn]{article}
\RequirePackage[english,ngerman]{babel}
\iflnienglish\selectlanguage{english}\def\bbl@main@language{english}\fi
% Blocksatz durch LaTeX-Default
% Satzspiegel
\setlength{\textheight}{235mm}
\setlength{\textwidth}{155mm}
\addtolength{\oddsidemargin}{-10mm}
% Times als Grundschrift
\RequirePackage{times}
% Hyphenation
% Durch normale LaTeX-Parameter verhindert (\doublehyphendemerits)

%\usepackage{fancyhdr}

% Title: Kopie aus article.cls mit anderem \thispagestyle
%\newcommand {Semester} {}

\renewcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{empty}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@maketitle{%
  \newpage
  \thispagestyle{empty}
  \null
  \vspace{30mm}
  \vskip 2em%
  \begin{center}%
    \let \footnote \thanks
        {\fontsize{14}{17}\fontseries{b}\selectfont \@title \par}%
  \end{center} 
  \vskip 1.5em%
  \begin{center}
    {\fontsize{12}{12}\selectfont
      \lineskip .5em%
      \vspace{20mm}
     \bf{Seminararbeit\\
     \vspace{5mm}
     im\\ 
     \vspace{5mm}\Semester 
     \\ \vspace{5mm}im
     \vspace{5mm}
     \\Seminar \vspace{5mm}
     \\Model-Driven Integration Engineering}}
  \end{center}%
  \vspace{50mm}
  \begin{flushleft} 
\begin{tabbing}
  Matrikel-Nr.:bbbbbbb \= 12345 \kill
  Verfasser: \> \@author \\
  Matrikel-Nr.: \> \Matrikel \\
  Betreuer: \> \Betreuer\\
  Studiengang: \> \Studiengang
\end{tabbing}
\end{flushleft}
\newpage
  }
% Abstract
%\renewenvironment*{abstract}{%
% \renewcommand{\abstractname}{Zusammenfassung}
% \fontsize{12}{10}\selectfont
%    \quotation\noindent{\bfseries \abstractname:}%
%}{\endquotation}  

% berschriften
\renewcommand{\section}{\@startsection{section}{1}{\z@}%
  {2\baselineskip}{\baselineskip}{\fontsize{12}{14}\fontseries{b}\selectfont}}
\renewcommand{\subsection}{\@startsection{subsection}{2}{\z@}%
  {2\baselineskip}{\baselineskip}{\fontsize{10}{12}\fontseries{b}\selectfont}}
\renewcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}%
  {2\baselineskip}{\baselineskip}{\fontsize{10}{8}\fontseries{b}\selectfont}}
% weitere nicht durch Formatvorlage geklrt

% keine seitennummern oh doch
%\pagestyle{fancy}
%\fancyfoot[L]{\thepage}


% Bildunterschriften
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  {\fontsize{9}{10}\selectfont
   \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi}
  \vskip\belowcaptionskip}

% gleichungen mit richtiger einrckung
% fleqn-Option oben
\setlength{\mathindent}{4ex}

% listings mit richtiger einrckung
\RequirePackage{verbatim}
\def\verbatim@processline{\hskip4ex\the\verbatim@line\par}

% Fussnoten mit 5cm Linie und richtiger Gre
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width5cm
  \kern2.6\p@}
\renewcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}{\fontsize{8}{9}\selectfont#1}}

% Gemutmate Absatzeinzge und Abstnde
\parindent0pt
\parskip 1ex

% bibliography
\iflanguage{english}{\bibliographystyle{liv}}{\bibliographystyle{liv}}
\renewenvironment{thebibliography}[1]
     {%\def\refname{Literaturverzeichnis}
      \section*{\refname}%
      \bgroup\fontsize{9}{10}\selectfont
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist\egroup}
